package com.reptileclient.jlifeapp.service;

import cn.hutool.core.date.DateTime;

/**
 * @author fuxubing
 */
public interface HmPaymentOrderService {
    /**
     * 新增盒马服务付款单
     *
     * @return
     */
    int addPaymentOrderList();

    /**
     * 通过用户手机一键同步盒马服务付款单数据
     *
     * @param phone
     * @return
     */
    int syncHmPaymentOrderByPhone(String phone);

    /**
     * 根据时间去重
     *
     * @param dateTime
     * @return
     */
    int deleteDistinctData(DateTime dateTime);

    /**
     * 更新盒马服务付款单
     *
     * @return
     */
    int updatePaymentOrderList();

    /**
     * 根据支付单号更新支付单
     *
     * @param paymentNo
     * @param stationCode
     * @return
     */
    int updateByPaymentNo(String paymentNo, String stationCode);
}
